# Get journalLines (v1.0)
Retrieve the properties and relationships of a journal line object for Business Central.
> NOTE
> Get journalLines will only return lines where documentType is not specified and where accountType is either of type `"G/L Account"` or `"Bank Account"`.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
GET businesscentralPrefix/companies({id})/journals({id})/journalLines({id})
```
## Request headers (v1.0)
Header|Value
Authorization|Bearer {token}. Required.
## Request body (v1.0)
Do not supply a request body for this method.
## Response (v1.0)
If successful, this method returns a ```200 OK``` response code and a journalLines object in the response body.
## Example (v1.0)
Request
Here is an example of the request.
```json
GET https://{businesscentralPrefix}/api/v1.0/companies({id})/journals({id})/journalLines({id})
```
Response
Here is an example of the response.
> NOTE
> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
```json
{
  "id": "id-value",
  "journalDisplayName": "DEFAULT",
  "lineNumber": 10000,
  "accountId": "id-value",
  "accountNumber": "10400",
  "postingDate": "2015-12-31",
  "documentNumber": "1234",
  "externalDocumentNumber": "",
  "amount": 1500,
  "description": "Accounts Receivable",
  "comment": "",
  "lastModifiedDateTime": "2017-03-17T19:02:22.043Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
Journal Line<../resources/dynamics_journalline>
Create Journal Line<dynamics_create_journalline>
Update Journal Line<dynamics_journalline_update>
Delete Journal Line<dynamics_journalline_delete>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_journalline_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_journalline_get/
